#!/sbin/sh

fs="/vendor/etc/fstab.qcom"

	if [ -f /vendor/etc/fstab.qcom.bak ]; 
	then
		rm -rf $fs
		mv $fs.bak $fs
	else
		cp $fs $fs.bak
		sed -i 's|fileencryption=|encryptable=|' $fs
		sed -i 's|,avb=vbmeta_system,avb_keys=/avb/q-gsi.avbpubkey:/avb/r-gsi.avbpubkey:/avb/s-gsi.avbpubkey||' $fs
		sed -i 's|,avb=vbmeta_system||' $fs
		sed -i 's|,avb||' $fs
		sed -i 's|,quota||' $fs
	fi


